de.vc.jfo.pagination

## Interface PageMaster

- All Superinterfaces:
    java.lang.Cloneable, Node, NodeElement, java.io.Serializable
  All Known Implementing Classes:
    PageSequenceMaster, SimplePageMaster

      public interface PageMaster
      extends Node

  Common interface for page-masters.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Measure` | `getBodyHeight(int pageNumber)` Gets the height of the body defined (or referenced) by this PageMaster excluding Before- and AfterRegion.
    `Measure` | `getBodyWidth(int pageNumber)` Gets the width of the body defined (or referenced) by this PageMaster excluding Start- and EndRegion.
    `java.lang.String` | `getMasterName()` Gets the master-name of this PageMaster.
    `SimplePageMaster` | `getSimplePageMaster(int pageNumber)` Gets the SimplePageMaster of given page number.
    `SimplePageMaster[]` | `getUsedSimplePageMasters()` Gets an array of all used (referenced) simple page masters of this page master.
    `void` | `setMasterName(java.lang.String masterName)` Sets the master-name of this PageMaster.

    - ### Methods inherited from interface de.vc.xml.Node

      `addAttributeChangeListener, addElement, addElement, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, fireSaxEvents, firstElement, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getDefinedAttributes, getElements, getElements, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getQName, getRoot, indexOf, isEmpty, lastElement, removeAttributeChangeListener, removeElement, removeElement, replaceElement, setAttribute, setAttributes, setElement, setNamespace`

    - ### Methods inherited from interface de.vc.xml.NodeElement

      `clone, getParent, setParent, writeTo`

- - ### Method Detail

    - #### getMasterName

          java.lang.String getMasterName()

      Gets the master-name of this PageMaster.
      Returns:
        MasterName.

    - #### setMasterName

          void setMasterName(java.lang.String masterName)

      Sets the master-name of this PageMaster.
      Parameters:
        `masterName` - MasterName.

    - #### getBodyWidth

          Measure getBodyWidth(int pageNumber)

      Gets the width of the body defined (or referenced) by this PageMaster excluding Start- and EndRegion.
      Parameters:
        `pageNumber` - Number of page in PageSequence relative to point where is PageMaster is used.
      Returns:
        Width of body.

    - #### getBodyHeight

          Measure getBodyHeight(int pageNumber)

      Gets the height of the body defined (or referenced) by this PageMaster excluding Before- and AfterRegion.
      Parameters:
        `pageNumber` - Number of page in PageSequence relative to point where is PageMaster is used.
      Returns:
        Height of body.

    - #### getSimplePageMaster

          SimplePageMaster getSimplePageMaster(int pageNumber)

      Gets the SimplePageMaster of given page number.
      Parameters:
        `pageNumber` - Page number.
      Returns:
        Simple page master of given page.

    - #### getUsedSimplePageMasters

          SimplePageMaster[] getUsedSimplePageMasters()

      Gets an array of all used (referenced) simple page masters of this page master. If this page master is a simple page master then itself is returned.
      Returns:
        SimplePageMaster[] Array of used simple page masters.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.